

Imports System.ComponentModel
Imports System.Reflection

' --------------------------------------------------------------- information about the InvokeCompleted event
Public Class InvokeCompletedEventArgs
    Inherits AsyncCompletedEventArgs

	Private m_method As [Delegate]
	Private args As Object()
	Private m_result As Object

	Public Sub New(method As [Delegate], args As Object(), result As Object, [error] As Exception)
		MyBase.New([error], False, Nothing)
		Me.m_method = method
		Me.args = args
		Me.m_result = result
	End Sub

	Public Function GetArgs() As Object()
		Return args
	End Function

	Public ReadOnly Property Method() As [Delegate]
		Get
			Return m_method
		End Get
	End Property

	Public ReadOnly Property Result() As Object
		Get
			Return m_result
		End Get
    End Property

End Class
